Skip to main content
GET
/
api
/
v1
/
clusters
/
ovh
/
{cluster_id}
/
access-info
Get Ovh Access Info Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/access-info"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "bastion_ip": "<string>",
  "control_plane_ip": "<string>",
  "control_plane_ips": [],
  "cluster_name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Response

Successful Response

bastion_ip
string | null
control_plane_ip
string | null
control_plane_ips
string[]
cluster_name
string | null